tidy.betareg {broom} | R Documentation

## Tidy a(n) betareg object

### Description

Tidy summarizes information about the components of a model. A model component might be a single term in a regression, a single hypothesis, a cluster, or a class. Exactly what tidy considers to be a model component varies cross models but is usually self-evident. If a model has several distinct types of components, you will need to specify which components to return.

### Usage

    ## S3 method for class 'betareg'
    tidy(x, conf.int = FALSE, conf.level = 0.95, ...)

### Arguments

`x` | A `betareg` object produced by a call to `betareg::betareg()`.
`conf.int` | Logical indicating whether or not to include a confidence interval in the tidied output. Defaults to `FALSE`.
`conf.level` | The confidence level to use for the confidence interval if `conf.int = TRUE`. Must be strictly greater than 0 and less than 1. Defaults to 0.95, which corresponds to a 95 percent confidence interval.

`...`

Additional arguments. Not used. Needed to match generic signature only. Cautionary note: Misspelled arguments will be absorbed in `...`, where they will be ignored. If the misspelled argument has a default value, the default value will be used. For example, if you pass `conf.lvel = 0.9`, all computation will proceed using `conf.level = 0.95`. Additionally, if you pass `newdata = my_tibble` to an `augment()` method that does not accept a `newdata` argument, it will use the default value for the `data` argument.

### Value

A `tibble::tibble()` with one row for each term in the regression. The tibble has columns:

`term` | The name of the regression term.
`estimate` | The estimated value of the regression term.
`std.error` | The standard error of the regression term.
`statistic` | The value of a statistic, almost always a T-statistic, to use in a hypothesis that the regression term is non-zero.
`p.value` | The two-sided p-value associated with the observed statistic.
`conf.low` | The low end of a confidence interval for the regression term. Included only if `conf.int = TRUE`.
`conf.high` | The high end of a confidence interval for the regression term. Included only if `conf.int = TRUE`.

In additional the standard columns, the returned tibble has an additional column `component`. `component` indicates whether a particular term was used to model either the `"mean"` or `"precision"`. Here the precision is the inverse of the variance, often referred to as `phi`. At least one term will have been used to model `phi`.

### See Also

`tidy()`, `betareg::betareg()`

### Examples

    library(betareg)

    data("GasolineYield", package = "betareg")

    mod <- betareg(yield ~ batch + temp, data = GasolineYield)

    mod
    tidy(mod)
    tidy(mod, conf.int = TRUE)
    tidy(mod, conf.int = TRUE, conf.level = .99)

    augment(mod)

    glance(mod)

[Package broom version 0.5.2 Index]